Bug 22174 - Add link to help page for API key management
Summary: Add link to help page for API key management
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-19 22:44 UTC by Katrin Fischer
Modified: 2019-10-14 20:03 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 22174: Add link to help page for API key management (1.33 KB, patch)
2019-03-16 12:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22174: Add link to help page for API key management (1.39 KB, patch)
2019-04-15 00:09 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22174: Add link to help page for API key management (1.45 KB, patch)
2019-04-17 10:43 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-01-19 22:44:20 UTC
The API keys page in staff has no specific help, the help link on the top directs to the start page of the manual. It would be nice if this lead to a more helpful one.
Comment 1 Katrin Fischer 2019-03-16 12:04:09 UTC
Created attachment 86703 [details] [review]
Bug 22174: Add link to help page for API key management

Makes the help link on the API key management page point
to the proper section in the Koha manual.

To test:
- Activate RESTOAuth2ClientCredentials system preference
- Go to any patron account
- Go to More > Manage API keys
- Click on the Help link in top right corner
- Verify that the right section of the Koha manual displays
Comment 2 Hayley Mapley 2019-04-15 00:09:12 UTC
Created attachment 87971 [details] [review]
Bug 22174: Add link to help page for API key management

Makes the help link on the API key management page point
to the proper section in the Koha manual.

To test:
- Activate RESTOAuth2ClientCredentials system preference
- Go to any patron account
- Go to More > Manage API keys
- Click on the Help link in top right corner
- Verify that the right section of the Koha manual displays

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 3 Martin Renvoize 2019-04-17 10:43:08 UTC
Created attachment 88164 [details] [review]
Bug 22174: Add link to help page for API key management

Makes the help link on the API key management page point
to the proper section in the Koha manual.

To test:
- Activate RESTOAuth2ClientCredentials system preference
- Go to any patron account
- Go to More > Manage API keys
- Click on the Help link in top right corner
- Verify that the right section of the Koha manual displays

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2019-04-17 10:43:34 UTC
Nice simple fix with no errors. Passing QA
Comment 5 Nick Clemens 2019-04-19 14:55:09 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-04-26 14:34:43 UTC
Pushed to 18.11.x for 18.11.05